Cannot load UI form store into PostGreSQL database
Status: Closed

Priority: Normal

Assignee:

Category: Forms

Affected QGIS version:2.18.9 Regression?: No

Operating System: Linux openSUSE / Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 24640

Description

Hi,

I can successfully save UI when I save style to PostGreSQL.

Problem is when I wanted to load it. UI is not load.

I've try different way when register :

- if I load UI before save in database, layer style save path to the UI and it doesn't work on other computer (with different path). UI store on

database doesn't overlay initial setting.

- if I'm not loading UI and only upload it when I save style and UI into PostGreSQL. Nothing is load, when identify a polygon, standard

attribute table is display.

Also, I can load style from database but when i choose [...] button near to UI, it only allow to browse file system, not database.

Thanks for your help

History

#1 - 2017-06-22 01:41 PM - Giovanni Manghi

- Status changed from Open to Feedback

Hi, is this a question/support request or a bug report?

#2 - 2017-06-22 01:56 PM - Bertrand Chaussat

Hi, I think this is a bug report because I encounter the same issue.

I've saved a style with fields populated by lists of values or other into PostgreSQL and joint also a UI file.

But when I try to create a new entity on the PostgreSQL layer, the entity creation fails and an empty window with title "?" appears.

This under QGIS Lyon 2.12.3 and PostgreSQL 9.5 with PostGIS 2.2.2.

Thanks

#3 - 2017-06-22 02:21 PM - Giovanni Manghi

- Status changed from Feedback to Open

#4 - 2017-06-22 04:44 PM - Nicolas Rochard

2024-04-27 1/2



Giovanni Manghi wrote:

Hi, is this a question/support request or a bug report?

As Bertrand says, it's a bug report from my point of view

#5 - 2019-03-09 03:10 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
